Profiles
Sync Tags
Sync tags with a profile. Tags without ID will be created on the fly.
POST
/
profiles
/
{profileId}
/
tags
Sync tags with a profile. Tags without ID will be created on the fly.
curl --request POST \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/profiles/{profileId}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
{
"id": 123,
"title": "<string>"
}
]
}
'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/profiles/{profileId}/tags"
payload = { "tags": [
{
"id": 123,
"title": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: [{id: 123, title: '<string>'}]})
};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/profiles/{profileId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"title": "<string>",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Array of tag objects. It will automatically determine which IDs to attach or detach. An object should contain ether an ID or a title. If an ID is supplied, the existing tag will be attached to the profile. If the ID is missing or null, a tag with that title will be created an attached.
Show child attributes
Show child attributes
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I
Sync tags with a profile. Tags without ID will be created on the fly.
